searchData={"items":[{"type":"module","title":"Cid","doc":"Provides a way for a user to turn a String, Map or Struct into a CID that\nis identical to one that will be returned from IPFS if the same data is\nadded.\n\nCurrently only produces a default v1 CID.\nCurrently only uses the \"raw\" codec\nData provided must be under 256Kb in order for the CID to match the one\nreturned by IPFS\n\nFor more info on CIDs and IPFS see the following...\nhttps://ipfs.io/\nhttps://pascalprecht.github.io/posts/content-identifiers-in-ipfs/\nhttps://github.com/dwyl/learn-ipfs/issues","ref":"Cid.html"},{"type":"function","title":"Cid.cid/1","doc":"`cid/1` Returns a Content ID (CID)\nidentical to the `cid` returned by `IPFS` for the same input data.if given the same data.\naccepts a String, Map or Struct as an argument.","ref":"Cid.html#cid/1"},{"type":"function","title":"Examples - Cid.cid/1","doc":"iex> Application.put_env(:excid, :base, :base32)\n    iex> Cid.cid(\"hello\")\n    \"bafkreibm6jg3ux5qumhcn2b3flc3tyu6dmlb4xa7u5bf44yegnrjhc4yeq\"\n\n    iex> Application.put_env(:excid, :base, :base58)\n    iex> Cid.cid(\"hello\")\n    \"zb2rhZfjRh2FHHB2RkHVEvL2vJnCTcu7kwRqgVsf9gpkLgteo\"\n\n    iex> Application.put_env(:excid, :base, :base32)\n    iex> Cid.cid(%{key: \"value\"})\n    \"bafkreihehk6pgn2sisbzyajpsyz7swdc2izkswya2w6hgsftbgfz73l7gi\"\n\n    iex> Application.put_env(:excid, :base, :base58)\n    iex> Cid.cid(%{key: \"value\"})\n    \"zb2rhn1C6ZDoX6rdgiqkqsaeK7RPKTBgEi8scchkf3xdsi8Bj\"\n\n    iex> Cid.cid(1234)\n    \"invalid data type\"\n\n    iex> Cid.cid([1,2,3,\"four\"])\n    \"invalid data type\"\n\n    iex> Application.put_env(:excid, :base, :wrong_base)\n    iex> Cid.cid(\"hello\")\n    \"invalid base\"","ref":"Cid.html#cid/1-examples"}],"content_type":"text/markdown"}